機械翻訳について

プロジェクトのリビジョンを取得

get

/ic/api/process/v1/targets/{targetId}/projects/{projectId}/revisions

指定したプロジェクトのリビジョンを取得します。

リクエスト

パス・パラメータ
問合せパラメータ
  • デプロイされたプロジェクト・モデルから情報をロード
    デフォルト値: NONE
    許容値: [ "ALL", "SERVICES", "REFERENCES", "COMPONENTS", "NONE" ]
トップに戻る

レスポンス

サポートされているメディア・タイプ

200レスポンス

成功。 デプロイ済プロジェクト・リビジョンを取得します。
本文()
ルート・スキーマ: schema
型: array
ソースを表示
ネストされたスキーマ : deployedProject
型: object

401レスポンス

未認可

404レスポンス

デプロイされたプロジェクトが見つかりません。

500レスポンス

デプロイされたプロジェクト・リビジョンの取得中にエラーが発生しました
トップに戻る

次の例は、RESTリソースに対してGETリクエストを発行して、プロジェクトのすべてのリビジョンを取得する方法を示しています。

リクエストの送信

次の例では、送信リクエストのコンテンツを示しています。

https://example.com/ic/api/process/<version>/targets/<targetId>/projects/<projectId>/revisions

説明

  • example.com は、Oracle Integrationが実行されているホストです。

  • <version>はREST APIバージョンです。

  • <targetId>は、プロジェクトのデプロイメント・パーティションのターゲットです。 指定できる値は、ORACLEINTERNALPCSORACLEINTERNALPCSPLAYERです。

  • <projectId>は、プロジェクトの一意のIDです。 利用可能なプロジェクトを取得するには、「プロジェクトの取得」を参照してください

レスポンス・ヘッダーの例

Status Code: 200 OK
Date:   Mon, 03 Apr 2017 09:39:39 GMT
Content-Type:  application/json

レスポンス本文の例

{
  "items": [
    {
      "partition": "ORACLEINTERNALPCS",
      "revisionId": "1.0",
      "RunTimeLiveInfo": {
        "state": "ON",
        "mode": "ACTIVE"
      },
      "DesignTimeProjectReference": {
        "spaceId": "89f7e082-6855-4a75-b2a6-6a726aff7f23",
        "projectId": "myprojectdeploy"
      },
      "RunTimeDeployInfo": {
        "deployTime": "2017-04-04,21:17:09 PDT",
        "isDefault": true
      },
      "processDefIds": [
        "oracleinternalpcs~myprojectdeploy!1.0~FormApprovalProcess"
      ],
      "links": [
        {
          "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions/1.0",
          "rel": "self"
        },
        {
          "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions/1.0",
          "rel": "canonical"
        },
        {
          "href": "http://example.com:7001/ic/api/process/v1/",
          "rel": "parent"
        }
      ]
    },
    {
      "partition": "ORACLEINTERNALPCS",
      "revisionId": "3.0",
      "RunTimeLiveInfo": {
        "state": "ON",
        "mode": "ACTIVE"
      },
      "DesignTimeProjectReference": {
        "spaceId": "89f7e082-6855-4a75-b2a6-6a726aff7f23",
        "projectId": "myprojectdeploy"
      },
      "RunTimeDeployInfo": {
        "deployTime": "2017-04-04,21:18:54 PDT",
        "isDefault": false
      },
      "processDefIds": [
        "oracleinternalpcs~myprojectdeploy!3.0~FormApprovalProcess"
      ],
      "links": [
        {
          "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions/3.0",
          "rel": "self"
        },
        {
          "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions/3.0",
          "rel": "canonical"
        },
        {
          "href": "http://example.com:7001/ic/api/process/v1/",
          "rel": "parent"
        }
      ]
    },
    {
      "partition": "ORACLEINTERNALPCS",
      "revisionId": "2.0",
      "RunTimeLiveInfo": {
        "state": "ON",
        "mode": "ACTIVE"
      },
      "DesignTimeProjectReference": {
        "spaceId": "89f7e082-6855-4a75-b2a6-6a726aff7f23",
        "projectId": "myprojectdeploy"
      },
      "RunTimeDeployInfo": {
        "deployTime": "2017-04-04,21:18:03 PDT",
        "isDefault": false
      },
      "processDefIds": [
        "oracleinternalpcs~myprojectdeploy!2.0~FormApprovalProcess"
      ],
      "links": [
        {
          "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions/2.0",
          "rel": "self"
        },
        {
          "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions/2.0",
          "rel": "canonical"
        },
        {
          "href": "http://example.com:7001/ic/api/process/v1/",
          "rel": "parent"
        }
      ]
    }
  ],
  "links": [
    {
      "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions",
      "rel": "self"
    },
    {
      "href": "http://example.com:7001/ic/api/process/v1/targets/oracleinternalpcs/projects/myprojectdeploy/revisions",
      "rel": "canonical"
    },
    {
      "href": "http://example.com:7001/ic/api/process/v1/",
      "rel": "parent"
    }
  ]
}
先頭に戻る